# Uses of Class
org.eclipse.core.commands.common.NotDefinedException

Packages that use NotDefinedException
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.core.commands.common
Application programming interfaces for common base classes.
org.eclipse.core.commands.contexts
Application programming interfaces for contexts.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.bindings
Provides support for bindings between commands and various user input events (e.g., keyboard shortcuts).
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.

## Uses of NotDefinedException in org.eclipse.core.commands

Methods in org.eclipse.core.commands with parameters of type NotDefinedException
Modifier and Type
Method
Description
`void`
CommandManager.`fireNotDefined(String commandId, NotDefinedException exception)`
Fires the `notDefined` event for `executionListeners`.
`void`
IExecutionListenerWithChecks.`notDefined(String commandId, NotDefinedException exception)`
Notifies the listener that an attempt was made to execute a command that is not defined.
Methods in org.eclipse.core.commands that throw NotDefinedException
Modifier and Type
Method
Description
`ParameterizedCommand`
CommandManager.`deserialize(String serializedParameterizedCommand)`
Returns a `ParameterizedCommand` with a command and parameterizations as specified in the provided `serializedParameterizedCommand` string.
`Object`
Command.`executeWithChecks(ExecutionEvent event)`
Executes this command by delegating to the current handler, if any.
`Object`
ParameterizedCommand.`executeWithChecks(Object trigger, Object applicationContext)`
Executes this command with its parameters.
`static Collection`
ParameterizedCommand.`generateCombinations(Command command)`
Generates all the possible combinations of command parameterizations for the given command.
`Category`
Command.`getCategory()`
Returns the category for this command.
`String`
CommandManager.`getHelpContextId(Command command)`
Gets the help context identifier for a particular command.
`String`
ParameterizedCommand.`getName()`
Returns a human-readable representation of this command with all of its parameterizations.
`String`
ParameterizedCommand.`getName(String baseName)`
Returns a human-readable representation of this command with all of its parameterizations.
`IParameter`
Command.`getParameter(String parameterId)`
Returns the parameter with the provided id or `null` if this command does not have a parameter with the id.
`IParameter[]`
Command.`getParameters()`
Returns the parameters for this command.
`ParameterType`
Command.`getParameterType(String parameterId)`
Returns the `ParameterType` for the parameter with the provided id or `null` if this command does not have a parameter type with the id.
`ParameterType`
Command.`getReturnType()`
Returns the `ParameterType` for the return value of this command or `null` if this command does not declare a return value parameter type.
`final AbstractParameterValueConverter`
ParameterType.`getValueConverter()`
Returns the value converter associated with this parameter, if any.
`boolean`
ParameterType.`isCompatible(Object value)`
Returns whether the provided value is compatible with this parameter type.

## Uses of NotDefinedException in org.eclipse.core.commands.common

Methods in org.eclipse.core.commands.common that throw NotDefinedException
Modifier and Type
Method
Description
`String`
NamedHandleObject.`getDescription()`
Returns the description for this handle.
`String`
NamedHandleObject.`getName()`
Returns the name for this handle.

## Uses of NotDefinedException in org.eclipse.core.commands.contexts

Methods in org.eclipse.core.commands.contexts that throw NotDefinedException
Modifier and Type
Method
Description
`final String`
Context.`getParentId()`
Returns the identifier of the parent of this instance.

## Uses of NotDefinedException in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type NotDefinedException
Modifier and Type
Method
Description
`void`
ExternalActionManager.CommandCallback.`notDefined(IAction action, NotDefinedException exception)`
`void`
ExternalActionManager.IExecuteCallback.`notDefined(IAction action, NotDefinedException exception)`
Fires a `NotDefinedException` because the action was not defined.

## Uses of NotDefinedException in org.eclipse.jface.bindings

Methods in org.eclipse.jface.bindings that throw NotDefinedException
Modifier and Type
Method
Description
`final String`
Scheme.`getParentId()`
Returns the identifier of the parent of the scheme represented by this handle.
`void`
BindingManager.`setActiveScheme(Scheme scheme)`
Selects one of the schemes as the active scheme.

## Uses of NotDefinedException in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that throw NotDefinedException
Modifier and Type
Method
Description
`ParameterizedCommand`
ICommandService.`deserialize(String serializedParameterizedCommand)`
Returns a `ParameterizedCommand` with a command and parameterizations as specified in the provided `serializedParameterizedCommand` string.
`String`
ICommandService.`getHelpContextId(String commandId)`
Gets the help context identifier for a particular command.
`String`
ICommandService.`getHelpContextId(Command command)`
Gets the help context identifier for a particular command.
`IElementReference`
ICommandService.`registerElementForCommand(ParameterizedCommand command, UIElement element)`
Register that this element accepts callbacks for this parameterized command.
Constructors in org.eclipse.ui.commands with parameters of type NotDefinedException
Modifier
Constructor
Description
``
`NotDefinedException(NotDefinedException e)`
Deprecated.

## Uses of NotDefinedException in org.eclipse.ui.contexts

Constructors in org.eclipse.ui.contexts with parameters of type NotDefinedException
Modifier
Constructor
Description
``
`NotDefinedException(NotDefinedException e)`
Deprecated.
Constructs a new instance of `NotDefinedException`.

## Uses of NotDefinedException in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that throw NotDefinedException
Modifier and Type
Method
Description
`Object`
IHandlerService.`executeCommand(String commandId, Event event)`
Executes the command with the given identifier and no parameters.
`Object`
IHandlerService.`executeCommand(ParameterizedCommand command, Event event)`
Executes the given parameterized command.
`Object`
IHandlerService.`executeCommandInContext(ParameterizedCommand command, Event event, IEvaluationContext context)`
Executes the given parameterized command in the provided context.